### Class

# RB RhythmDBQueryResultList

#### Description

    class RB.RhythmDBQueryResultList : GObject.Object
      implements RB.RhythmDBQueryResults {
      RhythmDBQueryResultListPrivate* priv
    }

No description available.

#### Ancestors

- GObject

#### Implements

- RhythmDBQueryResults

#### Constructors

###### rhythmdb_query_result_list_new

Creates a new empty query result list.

#### Instance methods

###### rhythmdb_query_result_list_get_results

Returns the results from the query.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

##### Methods inherited from RhythmDBQueryResults (3)

###### rhythmdb_query_results_add_results

Provides a new set of query results. References must be taken on the entries.

###### rhythmdb_query_results_query_complete

Called when the query is complete and all entries that match the query have been supplied to rhythmdb_query_results_add_results. If the object implementing this interface needs to identify newly added or changed entries that match the query, it needs to use the entry-added, entry-deleted and entry-changed signals from `RhythmDB`.

###### rhythmdb_query_results_set_query

When a new query is run, this method is invoked to give the object implementing this interface a chance to take a copy of the query criteria, so that it can evaluate the query for newly added or changed entries once the query is complete.

#### Signals

###### RB.RhythmDBQueryResultList::complete

Emitted when the database query is complete.

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct RBRhythmDBQueryResultListClass {
      GObjectClass parent;
      void (* complete) (
        RhythmDBQueryResultList* list
      );

    }

No description available.

###### Class members

`parent: GObjectClass`

  No description available.

`complete: void (* complete) ( RhythmDBQueryResultList* list )`

  No description available.

#### Virtual methods

###### RB.RhythmDBQueryResultListClass.complete

No description available.